Subject: Re: [PATCH -next] ata: PATA_ARASAN_CF depends on DMADEVICES

From: viresh kumar <[email-masked]>
Date: Tue, 24 May 2011 09:08:50 +0530

On 05/23/2011 09:51 PM, Randy Dunlap wrote:
>>> >>  config PATA_ARASAN_CF
>>> >>  	tristate "ARASAN CompactFlash PATA Controller Support"
>>> >> +	depends on DMADEVICES
>>> >>  	select DMA_ENGINE
>> > 
>> > Randy,
>> > 
>> > I think we can also remove this "select DMA_ENGINE" line.
> In that case, the newly added "depends on" line is not needed either,
> since the "select DMA_ENGINE" is what causes the kconfig warning message.
> 

Some sort of dependency must be present as PATA_ARASAN is using DMAENGINE
routines and it will not compile unless DMA_ENGINE is enabled.

So, depends on DMADEVICES will solve all these issues.

-- 
viresh